# ChangeLog for net-dialup/isdn4k-utils
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-dialup/isdn4k-utils/ChangeLog,v 1.58 2006/12/04 18:42:32 eroyf Exp $

  04 Dec 2006; Alexander H. Færøy <eroyf@gentoo.org>
  isdn4k-utils-3.9_pre20060124.ebuild:
  Stable on Alpha.

  23 Nov 2006; Francesco Riosa <vivo@gentoo.org>
  isdn4k-utils-3.8_pre20050821.ebuild, isdn4k-utils-3.9_pre20060124.ebuild:
  dev-db/mysql => virtual/mysql

  11 Sep 2006; Stefan Schweizer <genstef@gentoo.org>
  isdn4k-utils-3.8_pre20050821.ebuild, isdn4k-utils-3.9_pre20060124.ebuild:
  missing imake depend thanks to Joachim Schiele <js@lastlog.de> in bug 147146
  and monolithic X cleanup

  10 Sep 2006; Stefan Briesenick <sbriesen@gentoo.org> files/hisax.initd,
  isdn4k-utils-3.8_pre20050821.ebuild, isdn4k-utils-3.9_pre20060124.ebuild:
  added missing dependecy (bug #129902) and fixed hisax init-script (bug
  #134312).

  13 Mar 2006; Stefan Briesenick <sbriesen@gentoo.org>
  isdn4k-utils-3.9_pre20060124.ebuild:
  stable on x86.

  12 Mar 2006; Alin Nastac <mrness@gentoo.org>
  -files/config-3.7_pre20050329, -files/config-3.7_pre20050626,
  -files/3.6_pre20041219/auerswald.usermap, -files/3.6_pre20041219/config,
  -files/3.6_pre20041219/hisax.conf, -files/3.6_pre20041219/hisax.initd,
  -files/3.6_pre20041219/hisax.usermap, -files/3.6_pre20041219/ioptions,
  -files/3.6_pre20041219/isdn.blacklist, -files/3.6_pre20041219/isdn.confd,
  -files/3.6_pre20041219/isdn.initd, -files/3.6_pre20041219/isdnlog.confd,
  -files/3.6_pre20041219/isdnlog.initd,
  -files/3.6_pre20041219/isdnlog.logrotated,
  -files/3.6_pre20041219/net.ippp0, -files/3.6_pre20041219/options.ippp0,
  -isdn4k-utils-3.6_pre20041219-r1.ebuild,
  -isdn4k-utils-3.7_pre20050626.ebuild:
  Remove obsolete versions.

  06 Feb 2006; Aron Griffis <agriffis@gentoo.org>
  isdn4k-utils-3.8_pre20050821.ebuild:
  Mark 3.8_pre20050821 stable on alpha

  04 Feb 2006; Stefan Schweizer <genstef@gentoo.org>
  isdn4k-utils-3.6_pre20041219-r1.ebuild,
  isdn4k-utils-3.8_pre20050821.ebuild, isdn4k-utils-3.9_pre20060124.ebuild:
  modular deps

*isdn4k-utils-3.9_pre20060124 (04 Feb 2006)

  04 Feb 2006; Stefan Briesenick <sbriesen@gentoo.org>
  +files/eiconctrl-gcc4.patch, +files/config-3.9_pre20060124,
  files/hisax.initd, files/isdn.blacklist, files/isdn.initd,
  files/isdnlog.initd, +isdn4k-utils-3.9_pre20060124.ebuild:
  version bumb, some cleanups, added gcc4 patch (bug 117573).

  26 Dec 2005; Stefan Briesenick <sbriesen@gentoo.org>
  isdn4k-utils-3.8_pre20050821.ebuild:
  stable on amd64

  24 Dec 2005; Stefan Briesenick <sbriesen@gentoo.org>
  isdn4k-utils-3.8_pre20050821.ebuild:
  stable on x86

  16 Sep 2005; Ciaran McCreesh <ciaranm@gentoo.org> ChangeLog:
  Converted to UTF-8, fixed encoding screwups

*isdn4k-utils-3.8_pre20050821 (05 Sep 2005)

  05 Sep 2005; Stefan Briesenick <sbriesen@gentoo.org>
  -files/config-3.7_pre20050821, +files/config-3.8_pre20050821,
  -isdn4k-utils-3.7_pre20050821.ebuild,
  +isdn4k-utils-3.8_pre20050821.ebuild:
  renamed ebuild to correct version, fixing activefilter issue, adding mschap
  support for ipppd, disabled kernel-config checks for the time being (needs
  rework). see bug 99190.

*isdn4k-utils-3.7_pre20050821 (03 Sep 2005)

  03 Sep 2005; Stefan Briesenick <sbriesen@gentoo.org>
  +files/ipppd-pcap-0.9.3.patch, +files/config-3.7_pre20050821,
  files/auerswald.usermap, files/hisax.conf, files/hisax.initd,
  files/hisax.usermap, files/ioptions, files/isdn.blacklist,
  files/isdn.confd, files/isdn.initd, +files/isdn.pcmcia,
  +files/isdn.pcmcia.conf, files/isdnlog.confd, files/isdnlog.initd,
  files/isdnlog.logrotated, files/options.ippp0,
  +isdn4k-utils-3.7_pre20050821.ebuild:
  adding lots of USE flags, checking kernel options, reworked init-scripts,
  added pcmcia support for kernels < 2.6.13 (new pcmcia support will follow
  soon), fixed pcap-0.9.3 issue (see bug 99190).

  03 Sep 2005; Stefan Briesenick <sbriesen@gentoo.org> metadata.xml,
  -isdn4k-utils-3.7_pre20050329.ebuild, isdn4k-utils-3.7_pre20050626.ebuild:
  removing old version (3.7_pre20050329), mark 3.7_pre20050626 stable on x86.

  02 Jul 2005; David Holm <dholm@gentoo.org>
  isdn4k-utils-3.7_pre20050626.ebuild:
  Added to ~ppc.

  01 Jul 2005; Stefan Briesenick <sbriesen@gentoo.org> ChangeLog:
  removing obsolete/empty directories in FILESIR.

*isdn4k-utils-3.7_pre20050626 (01 Jul 2005)

  01 Jul 2005; Stefan Briesenick <sbriesen@gentoo.org>
  +files/config-3.7_pre20050626, files/hisax.conf, files/hisax.initd,
  files/isdn.confd, files/isdn.initd, files/isdnlog.confd,
  files/isdnlog.initd, +isdn4k-utils-3.7_pre20050626.ebuild:
  version bump, fixes/enhancements to init-scripts + configs.

*isdn4k-utils-3.7_pre20050329 (29 Mar 2005)

  29 Mar 2005; Alin Nastac <mrness@gentoo.org> +files/auerswald.usermap,
  +files/config-3.7_pre20050329, +files/hisax.conf, +files/hisax.initd,
  +files/hisax.usermap, +files/ioptions, +files/isdn.blacklist,
  +files/isdn.confd, +files/isdn.initd, +files/isdnlog.confd,
  +files/isdnlog.initd, +files/isdnlog.logrotated, +files/net.ippp0,
  +files/options.ippp0, +isdn4k-utils-3.7_pre20050329.ebuild:
  Version bump.

*isdn4k-utils-3.6_pre20041219-r1 (23 Feb 2005)

  23 Feb 2005; Alin Nastac <mrness@gentoo.org> -files/gcc33-multiline.patch,
  -files/3.2_p1-r2/config, -files/3.2_p1-r2/gentoo.patch,
  -files/3.2_p1-r2/ioptions, -files/3.2_p1-r2/ip-down.ippp0,
  -files/3.2_p1-r2/ip-up, -files/3.2_p1-r2/isdn4linux.conf,
  -files/3.2_p1-r2/isdn4linux.init, -files/3.2_p1-r2/net.ippp0,
  -files/3.2_p1-r2/options.ippp0, -files/3.5_pre20041110/config,
  -files/3.5_pre20041110/config.old, -files/3.5_pre20041110/ioptions,
  -files/3.5_pre20041110/ip-down, -files/3.5_pre20041110/ip-up,
  -files/3.5_pre20041110/isdn.conf, -files/3.5_pre20041110/isdn.init,
  -files/3.5_pre20041110/isdnlog.conf, -files/3.5_pre20041110/isdnlog.init,
  -files/3.5_pre20041110/isdnlog.logrotated,
  -files/3.5_pre20041110/net.ippp0, -files/3.5_pre20041110/options.ippp0,
  files/3.6_pre20041219/net.ippp0, -isdn4k-utils-3.2_p1-r2.ebuild,
  -isdn4k-utils-3.5_pre20041110-r3.ebuild,
  +isdn4k-utils-3.6_pre20041219-r1.ebuild,
  -isdn4k-utils-3.6_pre20041219.ebuild:
  Remove obsolete versions, fix net.ippp0 script and check for PPP kernel
  support (#82993).

  17 Feb 2005; Bryan Østergaard <kloeri@gentoo.org>
  isdn4k-utils-3.6_pre20041219.ebuild:
  Stable on alpha, bug 80962.

  14 Feb 2005; Simon Stelling <blubb@gentoo.org>
  isdn4k-utils-3.6_pre20041219.ebuild:
  stable on amd64 wrt bug 80962

  06 Feb 2005; Alin Nastac <mrness@gentoo.org>
  -files/3.6_pre20041219/ip-down, -files/3.6_pre20041219/ip-up,
  isdn4k-utils-3.6_pre20041219.ebuild:
  Remove ip-up & ip-down scripts - using net-dialup/ppp scripts instead. Mark
  as stable on x86. See bug #76641.

*isdn4k-utils-3.6_pre20041219 (24 Dec 2004)

  24 Dec 2004; Alin Nastac <mrness@gentoo.org>
  +files/3.6_pre20041219/auerswald.usermap, +files/3.6_pre20041219/config,
  +files/3.6_pre20041219/hisax.conf, +files/3.6_pre20041219/hisax.initd,
  +files/3.6_pre20041219/hisax.usermap, +files/3.6_pre20041219/ioptions,
  +files/3.6_pre20041219/ip-down, +files/3.6_pre20041219/ip-up,
  +files/3.6_pre20041219/isdn.blacklist, +files/3.6_pre20041219/isdn.confd,
  +files/3.6_pre20041219/isdn.initd, +files/3.6_pre20041219/isdnlog.confd,
  +files/3.6_pre20041219/isdnlog.initd,
  +files/3.6_pre20041219/isdnlog.logrotated,
  +files/3.6_pre20041219/net.ippp0, +files/3.6_pre20041219/options.ippp0,
  +isdn4k-utils-3.6_pre20041219.ebuild:
  Version bumped and insertion of several initialization scripts and
  configuration files imported from bug #75117. Thanks goes to Stefan
  Briesenick <sbriesen@gmx.de>.

*isdn4k-utils-3.5_pre20041110-r3 (03 Dec 2004)

  03 Dec 2004; Alin Nastac <mrness@gentoo.org>
  files/3.5_pre20041110/net.ippp0, -isdn4k-utils-3.5_pre20041110-r1.ebuild,
  +isdn4k-utils-3.5_pre20041110-r3.ebuild:
  Fixed new path to ipppd in /etc/init.d/net.ippp0 script. See bug #73067.

*isdn4k-utils-3.5_pre20041110-r1 (02 Dec 2004)

  02 Dec 2004; Daniel Black <dragonheart@gentoo.org>
  +isdn4k-utils-3.5_pre20041110-r1.ebuild,
  -isdn4k-utils-3.5_pre20041110.ebuild:
  version bump that I should of done before

  02 Dec 2004; Daniel Black <dragonheart@gentoo.org>
  isdn4k-utils-3.2_p1-r2.ebuild, isdn4k-utils-3.5_pre20041110.ebuild:
  Changed ipppd install directory as per bug #73067. Thanks to Martin Wegner
  <comp@mroot.net>

  22 Nov 2004; Alin Nastac <mrness@gentoo.org> -files/local.start,
  -files/3.2_p1-r4/config, -files/3.2_p1-r4/pathfix.patch,
  -files/3.2_p1-r4/vbox-makefile.am.patch, -files/3.5_p20041024/config,
  -files/3.5_p20041024/gentoo.patch, -files/3.5_p20041024/ioptions,
  -files/3.5_p20041024/ip-down, -files/3.5_p20041024/ip-up,
  -files/3.5_p20041024/isdn4linux.conf, -files/3.5_p20041024/isdn4linux.init,
  -files/3.5_p20041024/net.ippp0, -files/3.5_p20041024/options.ippp0,
  -files/3.5_p20041024/pathfix.patch,
  -files/3.5_p20041024/vbox-makefile.am.patch, -isdn4k-utils-3.2_p1-r3.ebuild,
  -isdn4k-utils-3.2_p1-r4.ebuild, -isdn4k-utils-3.5_p20041024-r1.ebuild,
  -isdn4k-utils-3.5_p20041024.ebuild:
  Remove obsolete testing ebuilds. Now vbox3 has its own ebuild.

*isdn4k-utils-3.5_pre20041110 (22 Nov 2004)

  22 Nov 2004; Alin Nastac <mrness@gentoo.org> metadata.xml,
  +files/3.5_pre20041110/config, +files/3.5_pre20041110/config.old,
  +files/3.5_pre20041110/ioptions, +files/3.5_pre20041110/ip-down,
  +files/3.5_pre20041110/ip-up, +files/3.5_pre20041110/isdn.conf,
  +files/3.5_pre20041110/isdn.init, +files/3.5_pre20041110/isdnlog.conf,
  +files/3.5_pre20041110/isdnlog.init,
  +files/3.5_pre20041110/isdnlog.logrotated, +files/3.5_pre20041110/net.ippp0,
  +files/3.5_pre20041110/options.ippp0, +isdn4k-utils-3.5_pre20041110.ebuild:
  Improved ebuild imported from #71845, thanks to Stefan Briesenick
  <sbriesen@gmx.de>.

  11 Nov 2004; Alin Nastac <mrness@gentoo.org> 
  files/3.5_p20041024/ip-down, files/3.5_p20041024/ip-up:
  Merge with ppp scripts: ip-up create resolv.conf with world readable.

*isdn4k-utils-3.5_p20041024-r1 (10 Nov 2004)

  10 Nov 2004; Alin Nastac <mrness@gentoo.org> +isdn4k-utils-3.5_p20041024-r1.ebuild, 
  files/3.5_p20041024/isdn4linux.conf, files/3.5_p20041024/isdn4linux.init:
  Actualize dependencies. Improved isdn4linux script. 
  Thank you Stefan Briesenick <sbriesen@gmx.de> for your help. Closing #65168.

  09 Nov 2004; Alin Nastac <mrness@gentoo.org>
  files/3.5_p20041024/ip-down, files/3.5_p20041024/ip-up:
  Correctly pass empty params to ip-up.local and ip-down.local . See bug #70440.
  
  09 Nov 2004; Alin Nastac <mrness@gentoo.org>
  -isdn4k-utils-20041024.ebuild, -isdn4k-utils-20041024-r1.ebuild, 
  -files/20041024/config, -files/20041024/gentoo.patch,
  -files/20041024/ioptions, -files/20041024/ip-down.ippp0, -files/20041024/ip-up,
  -files/20041024/isdn4linux.conf, -files/20041024/isdn4linux.init,
  -files/20041024/net.ippp0, -files/20041024/options.ippp0, -files/20041024/pathfix.patch,
  -files/20041024/vbox-makefile.am.patch:
  Remove badly named ebuilds. See bug #65168.
  
*isdn4k-utils-3.5_p20041024 (09 Nov 2004)

  09 Nov 2004; Alin Nastac <mrness@gentoo.org> 
  +isdn4k-utils-3.5_p20041024.ebuild, +files/3.5_p20041024/config, +files/3.5_p20041024/gentoo.patch,
  +files/3.5_p20041024/ioptions, +files/3.5_p20041024/ip-down, +files/3.5_p20041024/ip-up,
  +files/3.5_p20041024/isdn4linux.conf, +files/3.5_p20041024/isdn4linux.init,
  +files/3.5_p20041024/net.ippp0, +files/3.5_p20041024/options.ippp0, +files/3.5_p20041024/pathfix.patch,
  +files/3.5_p20041024/vbox-makefile.am.patch:
  Version bump. See bug #65168.

*isdn4k-utils-20041024-r1 (09 Nov 2004)

  09 Nov 2004; Alin Nastac <mrness@gentoo.org> +isdn4k-utils-20041024-r1.ebuild:
  Allow install to create device nodes.

*isdn4k-utils-20041024 (07 Nov 2004)

  07 Nov 2004; Alin Nastac <mrness@gentoo.org>
  +isdn4k-utils-20041024.ebuild, +files/20041024/config, +files/20041024/gentoo.patch,
  +files/20041024/ioptions, +files/20041024/ip-down.ippp0, +files/20041024/ip-up,
  +files/20041024/isdn4linux.conf, +files/20041024/isdn4linux.init,
  +files/20041024/net.ippp0, +files/20041024/options.ippp0, +files/20041024/pathfix.patch,
  +files/20041024/vbox-makefile.am.patch:
  Version bump. See bug #65168.

  27 Sep 2004; Daniel Black <dragonheart@gentoo.org>
  files/3.2_p1-r2/isdn4linux.init:
  opts added to init script as per bug #65522. Thanks to marchino
  <marchino@tin.it>

  24 Sep 2004; Daniel Black <dragonheart@gentoo.org>
  +files/3.2_p1-r4/pathfix.patch, +files/3.2_p1-r4/vbox-makefile.am.patch,
  isdn4k-utils-3.2_p1-r4.ebuild:
  Fixes bugs #53796 - tcl depend and bug #45124 - config file improvement.
  Thanks to Georg Weiss <georg@georgweiss.de> and Frank Eichentopf
  <frei@hap-bb.de>. Fixes 2.6 headers problem too.

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  isdn4k-utils-3.2_p1-r2.ebuild, isdn4k-utils-3.2_p1-r3.ebuild,
  isdn4k-utils-3.2_p1-r4.ebuild:
  virtual/glibc -> virtual/libc

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org>
  isdn4k-utils-3.2_p1-r2.ebuild, isdn4k-utils-3.2_p1-r3.ebuild,
  isdn4k-utils-3.2_p1-r4.ebuild:
  Add inherit eutils

  26 Apr 2004; Aron Griffis <agriffis@gentoo.org>
  isdn4k-utils-3.2_p1-r3.ebuild, isdn4k-utils-3.2_p1-r4.ebuild:
  Add die following econf for bug 48950

  18 Feb 2004; Martin Schlemmer <azarah@gentoo.org>
  isdn4k-utils-3.2_p1-r4.ebuild:
  Run aclocal and then automake --add-missing to properly install 'compile'.
  Also add proper automake --add-missing for capiinfo.  This closes bug #41667.

*isdn4k-utils-3.2_p1-r4 (23 Dec 2003)

  23 Dec 2003; Heinrich Wendel <lanius@gentoo.org>
  isdn4k-utils-3.2_p1-r3.ebuild, isdn4k-utils-3.2_p1-r4.ebuild,
  files/3.2_p1-r4/config:
  added avmcapicontrol build

  14 Dec 2003; Heinrich Wendel <lanius@gentoo.org>
  isdn4k-utils-3.2_p1-r2.ebuild, isdn4k-utils-3.2_p1-r3.ebuild:
  added tcl dep

*isdn4k-utils-3.2_p1-r3 (23 Nov 2003)

  23 Nov 2003; Heinrich Wendel <lanius@gentoo.org> isdn4k-utils-3.2_p1-r3.ebuild:
  replaced vbox with vbox3

  19 Nov 2003; Heinrich Wendel <lanius@gentoo.org> metadata.xml:
  metadata.xml

  30 Oct 2003; Heinrich Wendel <lanius@gentoo.org> files/3.2_p1-r2/ip-up,
  files/3.2_p1-r2/isdn4linux.init:
  bug #29690, #23526

  21 Aug 2003; Will Woods <wwoods@gentoo.org> isdn4k-utils-3.2_p1-r2.ebuild:
  Marked stable for alpha

  18 Jul 2003; Olivier Crete <tester@gentoo.org>
  isdn4k-utils-3.2_p1-r2.ebuild, files/gcc33-multiline.patch:
  Added patch for gcc 3.3

  18 May 2003; Seemant Kulleen <seemant@gentoo.org>
  files/3.2_p1-r2/gentoo.patch:
  enhanced patch to fix PATHs issue submitted by: Matze Braun <matze@braunis.de>
  in bug #19509

*isdn4k-utils-3.2_p1-r2 (16 Dec 2002)

  16 Dec 2002; Daniel Robbins <drobbins@gentoo.org>: new rev. Incorporated many
  improvements from bug 9578. Thank you Johannes Ballé for your many fixes.

*isdn4k-utils-3.2_p1-r1 (16 Dec 2002)

  16 Dec 2002; Daniel Robbins <drobbins@gentoo.org> : new rev. Docs install in
  the correct place, and device nodes are no longer created (devfs should take
  care of this.)

*isdn4k-utils-3.2_p1 (9 Aug 2002)

  9 Aug 2002; Bart Verwilst <verwilst@gentoo.org> : New working version, just
  in time for our Gentoo 1.4 release :o) This version will be included on our
  bootcd.

*isdn4k-utils-3.1_p1-r3 (16 Jul 2002)

  16 Jul 2002; Seemant Kulleen <seemant@gentoo.org>
  isdn4k-utils-3.1_p1-r3.ebuild ChangeLog
  files/digest-isdn4k-utils-3.1_p1-r3 :

  No, I am not the maintainer of this.  I just added the ChangeLog file 
  and did some cleaning up of the ebuild.


